# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/avagent_r8m

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.arm

# Include any dependencies generated for this target.
include luafwk/checks/CMakeFiles/checks.dir/depend.make

# Include the progress variables for this target.
include luafwk/checks/CMakeFiles/checks.dir/progress.make

# Include the compile flags for this target's objects.
include luafwk/checks/CMakeFiles/checks.dir/flags.make

luafwk/checks/CMakeFiles/checks.dir/checks.c.o: luafwk/checks/CMakeFiles/checks.dir/flags.make
luafwk/checks/CMakeFiles/checks.dir/checks.c.o: /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/avagent_r8m/luafwk/checks/checks.c
	$(CMAKE_COMMAND) -E cmake_progress_report /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.arm/CMakeFiles $(CMAKE_PROGRESS_1)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building C object luafwk/checks/CMakeFiles/checks.dir/checks.c.o"
	cd /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.arm/luafwk/checks && /home/calvin/toolchain/arm/bin/arm-none-linux-gnueabi-gcc  $(C_DEFINES) $(C_FLAGS) -o CMakeFiles/checks.dir/checks.c.o   -c /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/avagent_r8m/luafwk/checks/checks.c

luafwk/checks/CMakeFiles/checks.dir/checks.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing C source to CMakeFiles/checks.dir/checks.c.i"
	cd /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.arm/luafwk/checks && /home/calvin/toolchain/arm/bin/arm-none-linux-gnueabi-gcc  $(C_DEFINES) $(C_FLAGS) -E /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/avagent_r8m/luafwk/checks/checks.c > CMakeFiles/checks.dir/checks.c.i

luafwk/checks/CMakeFiles/checks.dir/checks.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling C source to assembly CMakeFiles/checks.dir/checks.c.s"
	cd /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.arm/luafwk/checks && /home/calvin/toolchain/arm/bin/arm-none-linux-gnueabi-gcc  $(C_DEFINES) $(C_FLAGS) -S /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/avagent_r8m/luafwk/checks/checks.c -o CMakeFiles/checks.dir/checks.c.s

luafwk/checks/CMakeFiles/checks.dir/checks.c.o.requires:
.PHONY : luafwk/checks/CMakeFiles/checks.dir/checks.c.o.requires

luafwk/checks/CMakeFiles/checks.dir/checks.c.o.provides: luafwk/checks/CMakeFiles/checks.dir/checks.c.o.requires
	$(MAKE) -f luafwk/checks/CMakeFiles/checks.dir/build.make luafwk/checks/CMakeFiles/checks.dir/checks.c.o.provides.build
.PHONY : luafwk/checks/CMakeFiles/checks.dir/checks.c.o.provides

luafwk/checks/CMakeFiles/checks.dir/checks.c.o.provides.build: luafwk/checks/CMakeFiles/checks.dir/checks.c.o

# Object files for target checks
checks_OBJECTS = \
"CMakeFiles/checks.dir/checks.c.o"

# External object files for target checks
checks_EXTERNAL_OBJECTS =

runtime/lua/checks.so: luafwk/checks/CMakeFiles/checks.dir/checks.c.o
runtime/lua/checks.so: luafwk/checks/CMakeFiles/checks.dir/build.make
runtime/lua/checks.so: luafwk/checks/CMakeFiles/checks.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --red --bold "Linking C shared module ../../runtime/lua/checks.so"
	cd /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.arm/luafwk/checks && $(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/checks.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
luafwk/checks/CMakeFiles/checks.dir/build: runtime/lua/checks.so
.PHONY : luafwk/checks/CMakeFiles/checks.dir/build

luafwk/checks/CMakeFiles/checks.dir/requires: luafwk/checks/CMakeFiles/checks.dir/checks.c.o.requires
.PHONY : luafwk/checks/CMakeFiles/checks.dir/requires

luafwk/checks/CMakeFiles/checks.dir/clean:
	cd /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.arm/luafwk/checks && $(CMAKE_COMMAND) -P CMakeFiles/checks.dir/cmake_clean.cmake
.PHONY : luafwk/checks/CMakeFiles/checks.dir/clean

luafwk/checks/CMakeFiles/checks.dir/depend:
	cd /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.arm && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/avagent_r8m /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/avagent_r8m/luafwk/checks /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.arm /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.arm/luafwk/checks /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.arm/luafwk/checks/CMakeFiles/checks.dir/DependInfo.cmake --color=$(COLOR)
.PHONY : luafwk/checks/CMakeFiles/checks.dir/depend

